<head>
  <title>Authentication Service</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style>
    @import url('https://fonts.googleapis.com/css?family=Numans');

    html,body{
    background-image: url('https://images.pexels.com/photos/355465/pexels-photo-355465.jpeg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
    font-family: 'Numans', sans-serif;
    }

    .container{
    height: 100%;
    align-content: center;
    }

    .card{
    margin-top: auto;
    margin-bottom: auto;
    background-color: rgba(0,0,0,0.5) !important;
    }

    .social_icon span{
    font-size: 60px;
    margin-left: 10px;
    color: #FFC312;
    }

    .social_icon span:hover{
    color: white;
    cursor: pointer;
    }

    .card-header h3{
    color: white;
    }

    .social_icon{
    position: absolute;
    right: 20px;
    top: -25px;
    }

    .input-group-prepend span{
    background-color: #FFC312;
    color: black;
    border:0 !important;
    }

    input:focus{
    outline: 0 0 0 0  !important;
    box-shadow: 0 0 0 0 !important;

    }

    .remember{
    color: white;
    }

    .remember input
    {
    margin-left: 15px;
    margin-right: 5px;
    }

    .login_btn{
    color: black;
    background-color: #FFC312;
    width: 100px;
    }

    .login_btn:hover{
    color: black;
    background-color: white;
    }

    .links{
    color: white;
    }

    .links a{
    margin-left: 4px;
    }
  </style>
  <!-- <script src="{{ url_for('static', filename='js/bootstrap.bundle.min.js') }}" crossorigin="anonymous"></script> -->
</head>


<div class="container">
  <div class="d-flex justify-content-center h-100">
  <div class="card" style="height: 600px; width: 500px;">
    <div class="card-header">
      <h3>Register client application</h3>
    </div>
    <div class="card-body">
      <form action"" method="post">
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-user"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Client application name" name="client_name">
          
        </div>
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-at"></i></span>
          </div>
          <input type="url" class="form-control" placeholder="Client URL" name="client_uri">
        </div>
  
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-key"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="scope1 scope2" name="scope">
          
        </div>
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-backward"></i></span>
          </div>
          <input type="url" class="form-control" placeholder="Redirect URL" name="redirect_uri">
        </div>
  
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-archive"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Grant type" name="grant_type">
          
        </div>
        <div class="input-group form-group">
          <div class="input-group-prepend">
            <span class="input-group-text"><i class="fa fa-archive"></i></span>
          </div>
          <input type="text" class="form-control" placeholder="Response type" name="response_type">
        </div>

        <div class="input-group form-group">
          <span style="color: whitesmoke;">Token Endpoint Authentication Method:</span>
        </div>

  
        <div class="form-group">
          <select name="token_endpoint_auth_method">
            <option value="client_secret_basic"><strong>client_secret_basic</strong></option>
            <option value="client_secret_post"><strong>client_secret_post</strong></option>
          </select>
          <input type="submit" value="Register" class="btn float-right login_btn">
        </div>
      </form>
      
      {% with messages = get_flashed_messages() %}
      {% if messages %}
          {% for message in messages %}
              <!-- Do something with the message -->   
               <p style="color:red;">{{ message }}</p>     
              {% endfor %}
          {% endif %}
      {% endwith %}
      
    </div>
    <div class="card-footer">
      <div class="d-flex justify-content-center links">
        Abort?<a href="{{ url_for('.home') }}">Go back</a>
      </div>
      <!-- <div class="d-flex justify-content-center">
        <a href="#">Forgot your password?</a>
      </div> -->
    </div>
  </div>
</div>